error

The base Proton error. More...

`#include <error.hpp>`

Inheritance diagram for error:
[legend]

## Public Member Functions

| error (const std::string &)
| Construct the error with a message.

## Detailed Description

The base Proton error.

All exceptions thrown from functions in the proton namespace are subclasses of proton::error.

Examples:
  mt/epoll_container.cpp.

The documentation for this struct was generated from the following file:

- proton/error.hpp